# Uses of Class
org.apache.lucene.facet.MultiLongValuesSource

Packages that use MultiLongValuesSource
Package
Description
org.apache.lucene.facet
Faceted search.
org.apache.lucene.facet.range
Provides range faceting capabilities.

- ## Uses of MultiLongValuesSource in org.apache.lucene.facet

  Methods in org.apache.lucene.facet that return MultiLongValuesSource
  Modifier and Type
  Method
  Description
  `static MultiLongValuesSource`
  MultiLongValuesSource.`fromIntField(String field)`
  Creates a MultiLongValuesSource that wraps an int-valued field
  `static MultiLongValuesSource`
  MultiLongValuesSource.`fromLongField(String field)`
  Creates a MultiLongValuesSource that wraps a long-valued field
  `static MultiLongValuesSource`
  MultiLongValuesSource.`fromSingleValued(LongValuesSource singleValued)`
  Creates a MultiLongValuesSource that wraps a single-valued `LongValuesSource`
  `final MultiLongValuesSource`
  MultiDoubleValuesSource.`toMultiLongValuesSource()`
  Convert to a MultiLongValuesSource by casting the double values to longs
  `final MultiLongValuesSource`
  MultiDoubleValuesSource.`toSortableMultiLongValuesSource()`
  Convert to a `MultiLongValuesSource` using `NumericUtils.doubleToSortableLong(double)`
  Methods in org.apache.lucene.facet with parameters of type MultiLongValuesSource
  Modifier and Type
  Method
  Description
  `static LongValuesSource`
  MultiLongValuesSource.`unwrapSingleton(MultiLongValuesSource in)`
  Returns a single-valued view of the `MultiLongValuesSource` if it was previously wrapped with `fromSingleValued(LongValuesSource)`, or null.
  Constructors in org.apache.lucene.facet with parameters of type MultiLongValuesSource
  Modifier
  Constructor
  Description
  ``
  `LongValueFacetCounts(String field, MultiLongValuesSource valuesSource, FacetsCollector hits)`
  Create `LongValueFacetCounts`, using the provided `MultiLongValuesSource` if non-null.
  ``
  `LongValueFacetCounts(String field, MultiLongValuesSource valuesSource, IndexReader reader)`
  Counts all facet values for the provided `MultiLongValuesSource` if non-null.

- ## Uses of MultiLongValuesSource in org.apache.lucene.facet.range

  Methods in org.apache.lucene.facet.range with parameters of type MultiLongValuesSource
  Modifier and Type
  Method
  Description
  `Query`
  LongRange.`getQuery(Query fastMatchQuery, MultiLongValuesSource valuesSource)`
  Create a Query that matches documents in this range
  Constructors in org.apache.lucene.facet.range with parameters of type MultiLongValuesSource
  Modifier
  Constructor
  Description
  ``
  `LongRangeFacetCounts(String field, MultiLongValuesSource valuesSource, FacetsCollector hits, LongRange... ranges)`
  Create `LongRangeFacetCounts`, using the provided `MultiLongValuesSource` if non-null.
  ``
  `LongRangeFacetCounts(String field, MultiLongValuesSource valuesSource, FacetsCollector hits, Query fastMatchQuery, LongRange... ranges)`
  Create `LongRangeFacetCounts`, using the provided `MultiLongValuesSource` if non-null.